
CoCoALib - Feature #374

Porting "IdealOfProjectivePoints"

18 Jun 2013 08:15 - Anna Maria Bigatti

Status: Closed Start date: 18 Jun 2013

Priority: Immediate Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 1.99 hour

Target version: CoCoALib-0.99600 Spent time: 1.90 hour

Description

port also IdealOfProjectivePoints

Related issues:

Related to CoCoALib - Feature #121: Porting "IdealOfPoints" Closed 04 Apr 2012

Related to CoCoA-5 - Feature #960: New function: IdealAndSeparatorsOfPoints New 02 Nov 2016

Related to CoCoALib - Bug #1416: IdealOfProjectivePoints and MinGens Closed 14 Feb 2020

History

#1 - 18 Jun 2013 08:34 - Anna Maria Bigatti

requested by Marie Ermete and Susan Cooper

#2 - 18 Jun 2013 08:49 - Anna Maria Bigatti

- Category set to New Function

- Assignee set to John Abbott

- Target version set to CoCoA-5.1.0 Easter14

I know this is not pretty, but for the time being there is this workaround (if you can put your points in an affine space)

/**/ Use R ::= QQ[x,y,z];

/**/ AffPolyRing := NewPolyRing(QQ, first(IndetSymbols(R),2));

/**/ phi := PolyAlgebraHom(AffPolyRing, R, first(indets(R),2));

/**/ Pts := [[0,0,1],[1/2,1,1],[0,1,2]];

/**/ AffPts := [ [P[1]/P[3], P[2]/P[3]] | P In Pts];

/**/ AffI := IdealOfPoints(AffPolyRing, Mat(AffPts));

/**/ I := ideal([homog(phi(F), last(indets(R))) | F in gens(AffI)]);

/**/ I;

ideal(y^2 -x*z +(-1/2)*y*z, x*y -x*z, x^2 +(-1/2)*x*z)

#3 - 21 Mar 2014 14:33 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoALib-0.99532
#4 - 01 Apr 2014 19:20 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#5 - 07 Apr 2014 18:20 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#6 - 10 Jul 2014 16:32 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#7 - 02 Nov 2016 09:02 - Anna Maria Bigatti

- Related to Feature #960: New function: IdealAndSeparatorsOfPoints added

#8 - 06 Aug 2018 18:11 - John Abbott

- Status changed from New to In Progress

- Priority changed from Normal to Immediate

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99600

- % Done changed from 0 to 50

Anna has done the work, but it gives obviously wrong result (not homog).

Here is a failing example:

use P ::= QQ[x,y,z];

L := [[1,1,2],[1,2,4]];

I := IdealOfProjectivePoints(P, mat(L));

ideal(y +(-1/2)*z,  x^2 +(-3/4)*x +(1/8)*z)

--> result is not homog

 

The result is "almost right": the coeffs are correct, but the PPs are wrong.  I compared with C-4.7.6.

Correct answer is:

ideal(y +(-1/2)*z,  x^2 +(-3/4)*x*z +(1/8)*z^2)

Note that non leading PPs of the second poly are missing a factor of z!

#9 - 06 Aug 2018 18:58 - Anna Maria Bigatti

fixed bug: now result is homog
#10 - 08 Feb 2019 20:56 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- Estimated time set to 1.99 h

There was just one test.  I have just tried it, and it worked.  So closing.

#11 - 14 Feb 2020 09:01 - Anna Maria Bigatti

- Related to Bug #1416: IdealOfProjectivePoints and MinGens added

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 3/3

http://www.tcpdf.org

